Subject: Re: [PATCH] remote-curl: fix clone on sha256 repos

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 May 2021 06:02:22 +0900

Jeff King <[email-masked]> writes:

> There are specific dumb-http tests in t5550. And I think we can and do
> run the suite with GIT_TEST_DEFAULT_HASH=sha256. But I suspect that
> covers up the problem. If I understand the problem correctly, it comes
> about when the client thinks the default hash is sha1, but the server is
> sha256. Whereas GIT_TEST_DEFAULT_HASH affects _both_ sides.
>
> So I think we'd want interop tests in t5550 that specifically create a
> sha256 server and access it with a sha1 client (and possibly vice
> versa).

Ahh, you're right.  Such a combination is worth testing but is
tricky to arrange.